/*
 * Copyright (c) 2000 Greg Haerr <greg@censoft.com>
 *
 * Null Keyboard Driver
 */
#include <stdio.h>
#include "device.h"

static int  NUL_Open(KBDDEVICE *pkd);
static void NUL_Close(void);
static void NUL_GetModifierInfo(int *modifiers);
static int  NUL_Read(MWUCHAR *buf, int *modifiers);

KBDDEVICE kbddev = {
	NUL_Open,
	NUL_Close,
	NUL_GetModifierInfo,
	NUL_Read,
	NULL
};

/*
 * Open the keyboard.
 */
static int
NUL_Open(KBDDEVICE *pkd)
{

	return -2;	/* no kbd*/
}

/*
 * Close the keyboard.
 */
static void
NUL_Close(void)
{
}

/*
 * Return the possible modifiers for the keyboard.
 */
static  void
NUL_GetModifierInfo(int *modifiers)
{
	*modifiers = 0;			/* no modifiers available */
}

/*
 * This reads one keystroke from the keyboard, and the current state of
 * the mode keys (ALT, SHIFT, CTRL).  Returns -1 on error, 0 if no data
 * is ready, and 1 if data was read.  This is a non-blocking call.
 */
static int
NUL_Read(MWUCHAR *buf, int *modifiers)
{
	return 0;
}
